Security Audit
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Security Audit action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Security audit",
"type": "SECURITY_AUDIT",
"trigger_time": "ON_EVERY_EXECUTION",
"scan": {
"type": "IMAGE",
"image": {
"image_location": "PRIVATE_REGISTRY",
"docker_registry": "DOCKER_HUB",
"integration": "docker-hub",
"name": "my-org/my-app",
"tag": "v1.2.3"
},
"scanners": [
"VULNERABILITY",
"SECRET",
"MISCONFIGURATION"
],
"severities": [
"CRITICAL",
"HIGH",
"MEDIUM",
"LOW"
],
"fail_only_on_fixable": true
},
"ignore": {
"vulnerabilities": [
{
"id": "CVE-2023-45853",
"paths": [
"vendor/"
],
"statement": "No upstream fix available, accepted risk",
"expires_at": "2026-09-21"
}
]
}
}'STATUS200 OK